WCSTOMBS(3)

NAME
mbstowcs - convert a wide character string to a multibyte character string.

SYNOPSIS
#include <stdlib.h>

size_t wcstombs(char *s, const wchar_t *pwcs, size_t n);

DESCRIPTION
The wcstombs() function converts a sequence of wide characters from the array pwcs into a sequence of multibyte characters and stores up to n bytes of multibyte characters in the array s.

RETURN VALUE
wcstombs() returns the number of bytes stored in s or -1 if s contains an invalid wide character.

CONFORMING TO
SVID 3, ISO 9899

SEE ALSO
mblen(3), mbtowc(3), mbstowcs(3), wctomb(3)